Bug 1121448 - VUL-0: rdesktop: Tracker bug for malicious RDP server security fixes (multiple CVEs)
VUL-0: rdesktop: Tracker bug for malicious RDP server security fixes (multipl...
Status: RESOLVED FIXED
: 1140411 (view as bug list)
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Security
Leap 15.0
Other Other
: P3 - Medium : Normal (vote)
: ---
Assigned To: Christian Wittmer
Security Team bot
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-01-10 12:51 UTC by Karol Babioch
Modified: 2019-12-30 21:29 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karol Babioch 2019-01-10 12:51:41 UTC
Malicious RDP server security fixes

Upstream commit:
https://github.com/rdesktop/rdesktop/commit/766ebcf6f23ccfe8323ac10242ae6e127d4505d2

Changes:

This commit includes fixes for a set of 21 vulnerabilities in
rdesktop when a malicious RDP server is used.

All vulnerabilities was identified and reported by Eyal Itkin.

* Add rdp_protocol_error function that is used in several fixes
* Refactor of process_bitmap_updates
* Fix possible integer overflow in s_check_rem() on 32bit arch
* Fix memory corruption in process_bitmap_data - CVE-2018-8794
* Fix remote code execution in process_bitmap_data - CVE-2018-8795
* Fix remote code execution in process_plane - CVE-2018-8797
* Fix Denial of Service in mcs_recv_connect_response - CVE-2018-20175
* Fix Denial of Service in mcs_parse_domain_params - CVE-2018-20175
* Fix Denial of Service in sec_parse_crypt_info - CVE-2018-20176
* Fix Denial of Service in sec_recv - CVE-2018-20176
* Fix minor information leak in rdpdr_process - CVE-2018-8791
* Fix Denial of Service in cssp_read_tsrequest - CVE-2018-8792
* Fix remote code execution in cssp_read_tsrequest - CVE-2018-8793
* Fix Denial of Service in process_bitmap_data - CVE-2018-8796
* Fix minor information leak in rdpsnd_process_ping - CVE-2018-8798
* Fix Denial of Service in process_secondary_order - CVE-2018-8799
* Fix remote code execution in in ui_clip_handle_data - CVE-2018-8800
* Fix major information leak in ui_clip_handle_data - CVE-2018-20174
* Fix memory corruption in rdp_in_unistr - CVE-2018-20177
* Fix Denial of Service in process_demand_active - CVE-2018-20178
* Fix remote code execution in lspci_process - CVE-2018-20179
* Fix remote code execution in rdpsnddbg_process - CVE-2018-20180
* Fix remote code execution in seamless_process - CVE-2018-20181
* Fix remote code execution in seamless_process_line - CVE-2018-20182
Comment 1 Christian Wittmer 2019-07-01 13:05:58 UTC
fixed in Jan:

-------------------------------------------------------------------
Mon Jan 28 20:29:52 UTC 2019 - Markus Beth <markus.beth@web.de>

- update to 1.8.4
Comment 2 Tomáš Chvátal 2019-07-11 11:38:00 UTC
This is automated batch bugzilla cleanup.

The openSUSE 42.3 changed to end-of-life (EOL [1]) status. As such
it is no longer maintained, which means that it will not receive any
further security or bug fix updates.
As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
openSUSE (At this moment openSUSE Leap 15.1, 15.0 and Tumbleweed) please
feel free to reopen this bug against that version (!you must update the
"Version" component in the bug fields, do not just reopen please), or
alternatively create a new ticket.

Thank you for reporting this bug and we are sorry it could not be fixed
during the lifetime of the release.

[1] https://en.opensuse.org/Lifetime
Comment 3 Marcus Meissner 2019-07-11 16:04:31 UTC
we need it also for 15.0 and 15.1 still.

version update is fine in this cvase I would say.
Comment 4 Christian Wittmer 2019-09-03 14:28:02 UTC
*** Bug 1140411 has been marked as a duplicate of this bug. ***
Comment 5 Swamp Workflow Management 2019-09-06 17:30:07 UTC
This is an autogenerated message for OBS integration:
This bug (1121448) was mentioned in
https://build.opensuse.org/request/show/729006 15.1+Backports:SLE-15-SP1 / rdesktop
Comment 6 Swamp Workflow Management 2019-09-14 22:10:37 UTC
openSUSE-SU-2019:2135-1: An update that fixes 19 vulnerabilities is now available.

Category: security (important)
Bug References: 1121448
CVE References: CVE-2018-20174,CVE-2018-20175,CVE-2018-20176,CVE-2018-20177,CVE-2018-20178,CVE-2018-20179,CVE-2018-20180,CVE-2018-20181,CVE-2018-20182,CVE-2018-8791,CVE-2018-8792,CVE-2018-8793,CVE-2018-8794,CVE-2018-8795,CVE-2018-8796,CVE-2018-8797,CVE-2018-8798,CVE-2018-8799,CVE-2018-8800
Sources used:
openSUSE Leap 15.1 (src):    rdesktop-1.8.6-lp151.2.3.1
openSUSE Backports SLE-15-SP1 (src):    rdesktop-1.8.6-bp151.2.3.1
Comment 7 Christian Wittmer 2019-12-30 21:29:21 UTC
looks fixed for me ...

... please feel free to reopen when you think so.